Sources
Sources track where sales opportunities originated from (e.g., website, referral, cold call, trade show).
Use the Datastore_Source endpoint to query sources.
Endpoints
List Sources
GET
/v1/odata/Datastore_SourceSingle Source
GET
/v1/odata/Datastore_Source({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| SalesOpportunity | Activity_SalesOpportunity | 1:N | SalesOpportunity |
Expanding Relationships
GET
/v1/odata/Datastore_Source({id})?$expand=SalesOpportunityNavigating Relationships
GET
/v1/odata/Datastore_Source({id})/SalesOpportunityFiltering Examples
GET
/v1/odata/Datastore_Source?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_Source?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_Source?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_Source?$filter=IsDefault eq {IsDefault}&$top={top}